<app-loading *ngIf="isLoadingPage"></app-loading>
<form nz-form [formGroup]='form'>
  <div nz-row [nzGutter]='[30, 10]'>
    <!-- Mối quan hệ -->
    <div nz-col [nzXs]='24' [nzLg]='24'>
      <mb-select [mbDataSelects]='listFamilyRelationship'
                 mbKeyLabel='label'
                 mbKeyValue='value'
                 [mbType]="isSubmitted && form.controls['relationTypeCode'].errors ? 'error' : 'default'"
                 [mbShowError]="isSubmitted && form.controls['relationTypeCode'].errors !== null"
                 [mbErrors]="form.controls['relationTypeCode'].errors"
                 [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.relativesInformation.label.attributes.relationTypeName' | translate }}]"
                 mbPlaceholder="{{'staffManager.relativesInformation.label.attributes.relationTypeName' | translate}}"
                 mbLabelText="{{ 'staffManager.relativesInformation.label.attributes.relationTypeName' | translate}} <span class='label__required'>*</span>"
                 formControlName='relationTypeCode'></mb-select>
    </div>

    <!-- Là nhân viên công ty -->
    <div nz-col [nzXs]='24' [nzLg]='12'>
      <label nz-checkbox
             formControlName='isInCompany'>{{ 'staffManager.relativesInformation.label.attributes.isInCompany' | translate}}</label>
    </div>

    <!-- Chọn nhân viên công ty -->
    <div nz-col [nzXs]='24' [nzLg]='12' class="select__employee">
      <employee-data-picker [mbCanText]="true" *ngIf='f.isInCompany.value' (selectedChange)='searchReferenceEmployee($event)'
                            [ngModel]='' [ngModelOptions]='{standalone: true}'></employee-data-picker>
    </div>

    <!-- ID nhân viên của nhân thân -->
    <div nz-col [nzXs]='24' [nzLg]='24' hidden>
      <mb-input-text formControlName='referenceEmployeeId' hidden
                     [mbType]="isSubmitted && form.controls['referenceEmployeeId'].errors ? 'error' : 'default'"
                     [mbShowError]="isSubmitted && form.controls['referenceEmployeeId'].errors !== null"
                     [mbErrors]="form.controls['referenceEmployeeId'].errors"
                     [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.relativesInformation.label.attributes.referenceEmployeeId' | translate }}]"
                     mbPlaceholderText="{{'staffManager.relativesInformation.label.attributes.referenceEmployeeId' | translate}}"
                     mbLabelText="{{'staffManager.relativesInformation.label.attributes.referenceEmployeeId' | translate}}"></mb-input-text>
    </div>

    <!-- Họ tên thân nhân -->
    <div nz-col [nzXs]='24' [nzLg]='12'>
      <mb-input-text formControlName='fullName'
                     appAlphabeticInput
                     [mbMaxLength]='200'
                     [mbType]="isSubmitted && form.controls['fullName'].errors ? 'error' : 'default'"
                     [mbShowError]="isSubmitted && form.controls['fullName'].errors !== null"
                     [mbErrors]="form.controls['fullName'].errors"
                     [mbErrorDefs]="[
                           { errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.relativesInformation.label.attributes.fullName' | translate }},
                           { errorName: 'maxlength', errorDescription: 'staffManager.validate.maxLength' | translate: {'numberLength': '200' }},
                     ]"
                     mbPlaceholderText="{{'staffManager.relativesInformation.label.attributes.fullName' | translate}}"
                     mbLabelText="{{'staffManager.relativesInformation.label.attributes.fullName' | translate}} <span class='label__required'>*</span>"></mb-input-text>
    </div>

    <!-- Tình trạng thân nhân -->
    <div nz-col [nzXs]='24' [nzLg]='12'>
      <mb-select [mbDataSelects]='listRelationStatus'
                 mbKeyLabel='label'
                 mbKeyValue='value'
                 [mbType]="isSubmitted && form.controls['relationStatusCode'].errors ? 'error' : 'default'"
                 [mbShowError]="isSubmitted && form.controls['relationStatusCode'].errors !== null"
                 [mbErrors]="form.controls['relationStatusCode'].errors"
                 [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.relativesInformation.label.attributes.relationStatus' | translate }}]"
                 mbPlaceholder="{{'staffManager.relativesInformation.label.attributes.relationStatus' | translate}}"
                 mbLabelText="{{'staffManager.relativesInformation.label.attributes.relationStatus' | translate}} <span class='label__required'>*</span>"
                 formControlName='relationStatusCode'></mb-select>
    </div>

    <!-- Đối tượng chính sách -->
    <div nz-col [nzXs]='24' [nzLg]='12'>
      <mb-select [mbDataSelects]='listPolicyType'
                 mbKeyLabel='label'
                 mbKeyValue='value'
                 mbPlaceholder="{{'staffManager.relativesInformation.label.attributes.policyType' | translate}}"
                 mbLabelText="{{'staffManager.relativesInformation.label.attributes.policyType' | translate}}"
                 formControlName='policyTypeCode'></mb-select>
    </div>

    <!-- Số CCCD / CMND -->
    <div nz-col [nzXs]='24' [nzLg]='12'>
      <mb-input-text formControlName='personalIdNumber'
                     [mbMaxLength]='12' [mnMinLength]='6'
                     appNumberInput
                     [mbType]="isSubmitted && form.controls['personalIdNumber'].errors ? 'error' : 'default'"
                     [mbShowError]="isSubmitted && form.controls['personalIdNumber'].errors !== null"
                     [mbErrors]="form.controls['personalIdNumber'].errors"
                     [mbErrorDefs]="[
                     { errorName: 'maxlength', errorDescription: 'staffManager.validate.maxLength' | translate: {'numberLength': '20' }},
                     { errorName: 'minlength', errorDescription: 'staffManager.validate.minLength' | translate: {'numberLength': '6' }}
                     ]"
                     mbPlaceholderText="{{'staffManager.relativesInformation.label.attributes.personalIdNumber' | translate}}"
                     mbLabelText="{{'staffManager.relativesInformation.label.attributes.personalIdNumber' | translate}}"></mb-input-text>
    </div>

    <!-- Ngày sinh -->
    <div nz-col [nzXs]='24' [nzLg]='12'>
      <mb-date-picker
        mbPlaceholderText="{{'staffManager.relativesInformation.label.attributes.dateOfBirth' | translate}}"
        [mbType]="isSubmitted && form.controls['dateOfBirth'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && form.controls['dateOfBirth'].errors !== null"
        [mbErrors]="form.controls['dateOfBirth'].errors"
        [mbErrorDefs]="[
           { errorName: 'maxDateNow', errorDescription: 'staffManager.validate.maxDateNow' | translate: {'param': 'staffManager.relativesInformation.label.attributes.dateOfBirth' | translate }},
        ]"
        mbLabelText="{{'staffManager.relativesInformation.label.attributes.dateOfBirth' | translate}}"
        formControlName='dateOfBirth'></mb-date-picker>
    </div>

    <!-- Nghề nghiệp -->
    <div nz-col [nzXs]='24' [nzLg]='12'>
      <mb-input-text formControlName='job'
                     [mbMaxLength]='200'
                     [mbType]="isSubmitted && form.controls['job'].errors ? 'error' : 'default'"
                     [mbShowError]="isSubmitted && form.controls['job'].errors !== null"
                     [mbErrors]="form.controls['job'].errors"
                     [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'staffManager.validate.maxLength' | translate: {'numberLength': '200' }}]"
                     mbPlaceholderText="{{'staffManager.relativesInformation.label.attributes.job' | translate}}"
                     mbLabelText="{{'staffManager.relativesInformation.label.attributes.job' | translate}}"></mb-input-text>
    </div>

    <!-- ĐƠn vị công tác -->
    <div nz-col [nzXs]='24' [nzLg]='12'>
      <mb-input-text formControlName='workOrganization'
                     [mbMaxLength]='200'
                     [mbType]="isSubmitted && form.controls['workOrganization'].errors ? 'error' : 'default'"
                     [mbShowError]="isSubmitted && form.controls['workOrganization'].errors !== null"
                     [mbErrors]="form.controls['workOrganization'].errors"
                     [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'staffManager.validate.maxLength' | translate: {'numberLength': '200' }}]"
                     mbPlaceholderText="{{'staffManager.relativesInformation.label.attributes.workOrganization' | translate}}"
                     mbLabelText="{{'staffManager.relativesInformation.label.attributes.workOrganization' | translate}}"></mb-input-text>
    </div>

    <!--  SDT  -->
    <div nz-col [nzXs]='24' [nzLg]='12'>
      <mb-input-text formControlName="phoneNumber"
                     appNumberInput
                     mbPlaceholderText="{{'staffManager.label.phoneNumber' | translate}}"
                     mbLabelText="{{'staffManager.label.phoneNumber' | translate}}"></mb-input-text>
    </div>

    <!-- Chỗ ở hiện tại -->
    <div nz-col [nzXs]='24' [nzLg]='24'>
      <mb-input-text formControlName='currentAddress'
                     [mbMaxLength]='200'
                     [mbType]="isSubmitted && form.controls['currentAddress'].errors ? 'error' : 'default'"
                     [mbShowError]="isSubmitted && form.controls['currentAddress'].errors !== null"
                     [mbErrors]="form.controls['currentAddress'].errors"
                     [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'staffManager.validate.maxLength' | translate: {'numberLength': '200' }}]"
                     mbPlaceholderText="{{'staffManager.relativesInformation.label.attributes.currentAddress' | translate}}"
                     mbLabelText="{{'staffManager.relativesInformation.label.attributes.currentAddress' | translate}}"></mb-input-text>
    </div>

    <!-- Là nhân viên công ty -->
    <div nz-col [nzXs]='24' [nzLg]='24'>
      <label nz-checkbox
             formControlName='isHouseholdOwner'>{{ 'staffManager.relativesInformation.label.attributes.isHeadHouse' | translate}}</label>
    </div>

    <!-- Ghi chú -->
    <div nz-col [nzXs]='24' [nzLg]='24'>
      <mb-input-text formControlName='note'
                     [mbIsTextAre]="true"
                     [mbMaxLength]='500'
                     [mbConfig]='{ rows: 3, autoSize: true }'
                     [mbType]="isSubmitted && form.controls['note'].errors ? 'error' : 'default'"
                     [mbShowError]="isSubmitted && form.controls['note'].errors !== null"
                     [mbErrors]="form.controls['note'].errors"
                     [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'staffManager.validate.maxLength' | translate: {'numberLength': '500' }}]"
                     mbPlaceholderText="{{'staffManager.relativesInformation.label.attributes.note' | translate}}"
                     mbLabelText="{{'staffManager.relativesInformation.label.attributes.note' | translate}}"></mb-input-text>
    </div>
  </div>
</form>
